Loading...
Searching...
No Matches
Cursor Flags
LMDB Internals

## Macros

#define | C_INITIALIZED 0x01
#define | C_EOF 0x02
#define | C_SUB 0x04
#define | C_DEL 0x08
#define | C_UNTRACK 0x40

## Detailed Description

Cursor state flags.

## Macro Definition Documentation

## C_INITIALIZED

#define C_INITIALIZED 0x01

cursor has been initialized and is valid

## C_EOF

#define C_EOF 0x02

No more data

## C_SUB

#define C_SUB 0x04

Cursor is a sub-cursor

## C_DEL

#define C_DEL 0x08

last op was a cursor_del

## C_UNTRACK

#define C_UNTRACK 0x40

Un-track cursor when closing